Problems reported with .desktop files for sonic-visualiser

Bug #1161283 reported by David White on 2013-03-28
268
This bug affects 51 people
Affects Status Importance Assigned to Milestone
app-install-data-ubuntu (Ubuntu)
Medium
Unassigned
Trusty
Medium
Unassigned
sonic-visualiser (Ubuntu)
Medium
Unassigned
Trusty
Medium
Unassigned

Bug Description

On doing apt-get upgrade in Raring I'm getting the following report:

Updating software catalog...this may take a moment.
INFO:softwarecenter.db.pkginfo_impl.aptcache:aptcache.open()
WARNING:softwarecenter.db.update:The file: '/usr/share/app-install/desktop/sonic-visualiser:x-sonicvisualiser.desktop' could not be read correctly. The application associated with this file will not be included in the software catalog. Please consider raising a bug report for this issue with the maintainer of that application
[...]
WARNING:softwarecenter.db.update:The file: '/usr/share/app-install/desktop/sonic-visualiser:x-sonicvisualiser-layer.desktop' could not be read correctly. The application associated with this file will not be included in the software catalog. Please consider raising a bug report for this issue with the maintainer of that application
Software catalog update was successful.

There seems to be a problem in /usr/share/app-install/desktop/sonic-visualiser:x-sonicvisualiser.desktop

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in sonic-visualiser (Ubuntu):
status: New → Confirmed
Doug McMahon (mc3man) wrote :

Well x-sonicvisualiser.desktop & x-sonicvisualiser-layer.desktop aren't applications so shouldn't be added nor visible

That was added by apport if I remember directly. I don't know what they
are, to be honest.
On Apr 11, 2013 9:56 AM, "Doug McMahon" <email address hidden> wrote:

> Well x-sonicvisualiser.desktop & x-sonicvisualiser-layer.desktop aren't
> applications so shouldn't be added nor visible
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1161733).
> https://bugs.launchpad.net/bugs/1161283
>
> Title:
> Problem reported with .desktop file
>
> Status in “sonic-visualiser” package in Ubuntu:
> Confirmed
>
> Bug description:
> On doing apt-get upgrade in Raring I'm getting the following report:
>
> Updating software catalog...this may take a moment.
> INFO:softwarecenter.db.pkginfo_impl.aptcache:aptcache.open()
> WARNING:softwarecenter.db.update:The file:
> '/usr/share/app-install/desktop/sonic-visualiser:x-sonicvisualiser.desktop'
> could not be read correctly. The application associated with this file will
> not be included in the software catalog. Please consider raising a bug
> report for this issue with the maintainer of that application
> WARNING:softwarecenter.db.update:The file:
> '/usr/share/app-install/desktop/gmpc:gmpc.desktop' could not be read
> correctly. The application associated with this file will not be included
> in the software catalog. Please consider raising a bug report for this
> issue with the maintainer of that application
> WARNING:softwarecenter.db.update:The file:
> '/usr/share/app-install/desktop/sonic-visualiser:x-sonicvisualiser-layer.desktop'
> could not be read correctly. The application associated with this file will
> not be included in the software catalog. Please consider raising a bug
> report for this issue with the maintainer of that application
> Software catalog update was successful.
>
> There seems to be a problem in /usr/share/app-install/desktop/sonic-
> visualiser:x-sonicvisualiser.desktop
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/sonic-visualiser/+bug/1161283/+subscriptions
>

Those 2 .desktops have a "Type=MimeType", don't think I've ever seen that (is it even a valid Type for a .desktop?
If they where meant to register a mimetype(s) then certainly not doing that.
(.sv - "sonic visualiser session files" are seen as "SystemVerilog source code (text/x-svsrc)" & .svl are just application/xml

The actual sonic-visualiser.desktop does need some work ( Bug 1167935

Doug McMahon (mc3man) wrote :

I guess the proper place for x-sonicvisualiser.desktop & x-sonicvisualiser-layer.desktop would be /usr/share/mimelnk/application
(still doesn't help with .sv being application/x-sonicvisualiser & .svl being application/x-sonicvisualiser-layer

you can validate .desktop files like this, and it reports all issues:

nazgul@rivendell:~$ desktop-file-validate /usr/share/app-install/desktop/sonic-visualiser:x-sonicvisualiser.desktop
/usr/share/app-install/desktop/sonic-visualiser:x-sonicvisualiser.desktop: error: file contains key "Command" in group "Desktop Entry", but keys extending the format should start with "X-"
/usr/share/app-install/desktop/sonic-visualiser:x-sonicvisualiser.desktop: error: value "application/x-sonicvisualiser" for string list key "MimeType" in group "Desktop Entry" does not have a semicolon (';') as trailing character
/usr/share/app-install/desktop/sonic-visualiser:x-sonicvisualiser.desktop: warning: key "Patterns" in group "Desktop Entry" is deprecated
/usr/share/app-install/desktop/sonic-visualiser:x-sonicvisualiser.desktop: error: value "*.sv;*.SV" for regexp list key "Patterns" in group "Desktop Entry" does not have a semicolon (';') as trailing character
/usr/share/app-install/desktop/sonic-visualiser:x-sonicvisualiser.desktop: warning: value "MimeType" for key "Type" in group "Desktop Entry" is deprecated
/usr/share/app-install/desktop/sonic-visualiser:x-sonicvisualiser.desktop: error: required key "Name" in group "Desktop Entry" is not present

tikend (metodrybar) wrote :
Download full text (3.7 KiB)

My software center is crashing on startup, when reinstalling

sudo apt-fast install --reinstall software-center

 Working... this may take a while.

No files to download.
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libboost-filesystem1.49.0 libboost-program-options1.49.0
  libboost-thread1.49.0 libdb4.8++ libqrencode3
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 0 not upgraded.
Need to get 0 B/443 kB of archives.
After this operation, 0 B of additional disk space will be used.
(Reading database ... 329798 files and directories currently installed.)
Preparing to replace software-center 5.6.0-0ubuntu2 (using .../software-center_5.6.0-0ubuntu2_all.deb) ...
Unpacking replacement software-center ...
Processing triggers for hicolor-icon-theme ...
Processing triggers for gnome-menus ...
Processing triggers for bamfdaemon ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for desktop-file-utils ...
Processing triggers for man-db ...
Setting up software-center (5.6.0-0ubuntu2) ...
Updating software catalog...this may take a moment.
INFO:softwarecenter.db.pkginfo_impl.aptcache:aptcache.open()
WARNING:softwarecenter.db.update:The file: '/usr/share/app-install/desktop/sonic-visualiser:x-sonicvisualiser.desktop' could not be read correctly. The application associated with this file will not be included in the software catalog. Please consider raising a bug report for this issue with the maintainer of that application
WARNING:softwarecenter.db.update:The file: '/usr/share/app-install/desktop/sonic-visualiser:x-sonicvisualiser-layer.desktop' could not be read correctly. The application associated with this file will not be included in the software catalog. Please consider raising a bug report for this issue with the maintainer of that application
WARNING:softwarecenter.db.update:The file: '/usr/share/app-install/desktop/workrave:workrave.desktop' could not be read correctly. The application associated with this file will not be included in the software catalog. Please consider raising a bug report for this issue with the maintainer of that application
Software catalog update was successful.

------------------------------------------------------------------------------------------

When running from terminal

software-center
2013-05-19 12:14:04,727 - softwarecenter.ui.gtk3.app - INFO - setting up proxy 'None'
2013-05-19 12:14:05,360 - softwarecenter.plugin - INFO - activating plugin '<module 'webapps_activation' from '/usr/share/software-center/softwarecenter/plugins/webapps_activation.pyc'>'
2013-05-19 12:14:05,369 - softwarecenter.fixme - WARNING - logs to the root logger: '('/usr/lib/python2.7/dist-packages/gi/importer.py', 51, 'find_module')'
2013-05-19 12:14:05,369 - root - ERROR - Could not find any typelib for LaunchpadIntegration
2013-05-19 12:14:05,431 - softwarecenter.db.pkginfo_impl.aptcache - INFO - aptcache.open()

(software-center:3885): Gdk-ERROR **: The program 'software-center' received an X Window System error.
This probably...

Read more...

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in app-install-data-ubuntu (Ubuntu):
status: New → Confirmed
Logan Rosen (logan) on 2013-07-08
description: updated
krnkris (krnacs) wrote :

SAME PROBLEM

0 frissített, 1 újonnan telepített, 0 eltávolítandó és 0 nem frissített.
Letöltendő adatmennyiség: 0 B/443 kB.
A művelet után 3.588 kB lemezterület kerül felhasználásra.
A korábban ki nem választott software-center csomag kiválasztása.
(Adatbázis olvasása ... jelenleg 399637 fájl vagy könyvtár van telepítve.)
Kicsomagolás: software-center innen: .../software-center_5.6.0-0ubuntu2_all.deb ...
hicolor-icon-theme triggereinek feldolgozása…
bamfdaemon triggereinek feldolgozása…
Rebuilding /usr/share/applications/bamf-2.index...
desktop-file-utils triggereinek feldolgozása…
gnome-menus triggereinek feldolgozása…
man-db triggereinek feldolgozása…
Beállítás: software-center (5.6.0-0ubuntu2) ...
Updating software catalog...this may take a moment.
INFO:softwarecenter.db.pkginfo_impl.aptcache:aptcache.open()
WARNING:softwarecenter.db.update:The file: '/usr/share/app-install/desktop/sonic-visualiser:x-sonicvisualiser.desktop' could not be read correctly. The application associated with this file will not be included in the software catalog. Please consider raising a bug report for this issue with the maintainer of that application
WARNING:softwarecenter.db.update:The file: '/usr/share/app-install/desktop/sonic-visualiser:x-sonicvisualiser-layer.desktop' could not be read correctly. The application associated with this file will not be included in the software catalog. Please consider raising a bug report for this issue with the maintainer of that application
Software catalog update was successful.

Logan Rosen (logan) on 2013-09-11
summary: - Problem reported with .desktop file
+ Problems reported with .desktop files for sonic-visualiser
Colin Law (colin-law) wrote :

This problem is also present in Saucy.

Doug McMahon (mc3man) wrote :

It would seem pretty straightforward - remove those 2 files from app-install-data, they don't belong there.
As far as sonic-visualiser, in lei of proper maintenance -
The actual application .desktop needs help & probably the 2 mime type .desktops shouldn't be installed as they seem to do nothing useful.
Ex. of that in link
https://launchpad.net/~mc3man/+archive/nautilus-modded/+files/sonic-visualiser_2.1-1_2.1-1ubuntu1.diff.gz

Doug McMahon (mc3man) wrote :

Or if you wanted to install the 2 mime type .desktops then they should be cleaned up & go to /usr/share/mimelnk/application, not /usr/share/applications

Ex. of that in link
https://launchpad.net/~mc3man/+archive/sacy-tests/+files/sonic-visualiser_2.1-1_2.1-1%2Bfix2.diff.gz

Benjamin Drung (bdrung) wrote :

Can you forward that patch to the Debian bug report that you opened? If they apply your patch, I will sponsor your patch to Ubuntu.

Can you explain what these mime type .desktops files are for and/or point me to the corresponding documentation?

On 10/01/2013 05:09 PM, Benjamin Drung wrote:
> Can you forward that patch to the Debian bug report that you opened? If
> they apply your patch, I will sponsor your patch to Ubuntu.
>
> Can you explain what these mime type .desktops files are for and/or
> point me to the corresponding documentation?
>
Benjamin -
which one?
I'd be inclined to not use the 2 'mime type' .desktops at all as they
don't seem to do any good.
I'd assume they are meant to register the listed mime's but don't, other
than that no real clue as to their purpose.
Without a %<letter> in the application .desktop sonic-visualiser won't
show in the context menu on any file, let alone .sv or .svl

As far as those 2 .desktops I looked for similar debian apps that used
such for examples of how written & installed, - qgis is one example

The other option would be to start a ticket on sourceforge & maybe find
out their reasoning

Benjamin Drung (bdrung) wrote :

The change to sonic-visualiser.desktop looks good to me. The question is: What are these two additional .desktop files for? Can you ask upstream? I will be happy to drop them if they are really not needed, but I don't want to remove them just by guessing.

Doug McMahon (mc3man) wrote :

On 10/1/2013 7:53 PM, Benjamin Drung wrote:
> The change to sonic-visualiser.desktop looks good to me. The question
> is: What are these two additional .desktop files for? Can you ask
> upstream? I will be happy to drop them if they are really not needed,
> but I don't want to remove them just by guessing.
I posted some query's, I'll guess we'll see.

On related note, from
http://standards.freedesktop.org/desktop-entry-spec - (which is fairly
old itself so deprecated may now be 'not used/ignored'

    C. Deprecated Items

|Type=MimeType| is deprecated as there is a new standard for this now,
see the Shared MIME-info Database specification
<http://www.freedesktop.org/Standards/shared-mime-info-spec> for more
information. In consequence the Keys |Patterns| (various file name
extensions associated with the MIME type) and |DefaultApp| (the default
application associated with this MIME type) are also deprecated.

krnkris (krnacs) wrote :

Good day!

I removed the two sonic-visualiser file as your suggestion.

Now I can open software-center with sudo root, but without
it coms this message:
software-center
2013-10-22 22:03:50,597 - softwarecenter.ui.gtk3.app - INFO - setting up proxy 'None'
2013-10-22 22:03:50,684 - softwarecenter.fixme - WARNING - logs to the root logger: '('/usr/lib/python2.7/dist-packages/dbus/proxies.py', 410, '_introspect_error_handler')'
2013-10-22 22:03:50,684 - dbus.proxies - ERROR - Introspect error on com.ubuntu.sso:/com/ubuntu/sso/credentials: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Process /usr/lib/ubuntu-sso-client/ubuntu-sso-login exited with status 1
Traceback (most recent call last):
  File "/usr/bin/software-center", line 130, in <module>
    app = SoftwareCenterAppGtk3(options, args)
  File "/usr/share/software-center/softwarecenter/ui/gtk3/app.py", line 338, in __init__
    self.icons)
  File "/usr/share/software-center/softwarecenter/ui/gtk3/session/appmanager.py", line 66, in __init__
    self.oauth_token = helper.find_oauth_token_sync()
  File "/usr/share/software-center/softwarecenter/backend/ubuntusso.py", line 141, in find_oauth_token_sync
    sso.find_credentials()
  File "/usr/share/software-center/softwarecenter/backend/login_impl/login_sso.py", line 74, in find_credentials
    self.proxy.find_credentials(self.appname, self._get_params())
  File "/usr/lib/python2.7/dist-packages/dbus/proxies.py", line 70, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/python2.7/dist-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib/python2.7/dist-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Process /usr/lib/ubuntu-sso-client/ubuntu-sso-login exited with status 1

krnkris (krnacs) wrote :

Good day, I have one :)

I found the solution:

The last sentence said as above:
/ubuntu-sso-login exited with status 1

In this case I revised the authorisation of the user's /home directory:

sudo chown -R user:user /home/user

It solved all my problems!

Thank you!

krnkris (krnacs) wrote :

In this case the solution was:

First step:

remove those 2 sonic-visualiser files from app-install-data, they don't belong there.

Second step:

revised the authorisation of the user's /home directory:

sudo chown -R user:user /home/user

It solved all my problems!

Thank you!

krnkris (krnacs) on 2013-12-15
Changed in app-install-data-ubuntu (Ubuntu):
status: Confirmed → Fix Released
Changed in sonic-visualiser (Ubuntu):
status: Confirmed → Fix Released
Paul (i41bktob-launchpad-net) wrote :

I just hit the same issue in Ubuntu 14.04 Trusty:

Processing triggers for software-center (13.10-0ubuntu2) ...
Updating software catalog...this may take a moment.
INFO:softwarecenter.db.pkginfo_impl.aptcache:aptcache.open()
WARNING:softwarecenter.db.update:The file: '/usr/share/app-install/desktop/sonic-visualiser:x-sonicvisualiser-layer.desktop' could not be read correctly. The application associated with this file will not be included in the software catalog. Please consider raising a bug report for this issue with the maintainer of that application
WARNING:softwarecenter.db.update:The file: '/usr/share/app-install/desktop/sonic-visualiser:x-sonicvisualiser.desktop' could not be read correctly. The application associated with this file will not be included in the software catalog. Please consider raising a bug report for this issue with the maintainer of that application
Software catalog update was successful.

I second @Paul. I ran into the same issue only moments ago.

martin suc (martin-suc) wrote :

yes , in ubuntu 14.04 it is the same problem.

I have the same warning message.
Should we open a new bug or reopen this one?

Brian Murray (brian-murray) wrote :

No fix for this bug report has made it into the sonic-visualiser package so this bug report should not be Fix Released.

Changed in sonic-visualiser (Ubuntu):
status: Fix Released → Triaged
importance: Undecided → Medium
Doug McMahon (mc3man) wrote :

Just to note -
I did eventually get a response & short conversation on the sv mailing list concerning those 2 .desktops. In a nutshell no one currently knows why they are there, assumed to have been added in the past to add mimetypes (.sv .svl
I pointed them to some links ect on mimeinfo..

As far as .debs available from the sv site those 2 .desktops are no longer included, just /usr/share/applications/sonic-visualiser.desktop

So Debian/Ubuntu should follow suit & remove them from the sv packaging

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sonic-visualiser - 2.3~repack1-3

---------------
sonic-visualiser (2.3~repack1-3) unstable; urgency=medium

  * Team upload.
  * Do not install x-sonicvisualiser*.desktop files.
    (Closes: #725049, LP: #1161283, #1255469)

 -- Benjamin Drung <email address hidden> Tue, 01 Apr 2014 11:52:13 +0200

Changed in sonic-visualiser (Ubuntu):
status: Triaged → Fix Released
thecure (keith-k) wrote :

Ubuntu 14.04 64 bit addition updated today (11 April 2014) with same error I think.

Setting up software-center (13.10-0ubuntu4) ...
Updating software catalog...this may take a moment.
INFO:softwarecenter.db.pkginfo_impl.aptcache:aptcache.open()
WARNING:softwarecenter.db.update:The file: '/usr/share/app-install/desktop/sonic-visualiser:x-sonicvisualiser-layer.desktop' could not be read correctly. The application associated with this file will not be included in the software catalog. Please consider raising a bug report for this issue with the maintainer of that application
WARNING:softwarecenter.db.update:The file: '/usr/share/app-install/desktop/sonic-visualiser:x-sonicvisualiser.desktop' could not be read correctly. The application associated with this file will not be included in the software catalog. Please consider raising a bug report for this issue with the maintainer of that application
Software catalog update was successful.

Vincent Gerris (vgerris) wrote :

I still have the issue with a fully updated 14.04 too.
So why is this fixed?

Benjamin Drung (bdrung) wrote :

sonic-visualiser, but app-install-data-ubuntu needs to be updated to pick up the fix.

Changed in app-install-data-ubuntu (Ubuntu):
status: Fix Released → Triaged
Changed in app-install-data-ubuntu (Ubuntu):
importance: Undecided → Medium
milestone: none → trusty-updates
Michael Vogt (mvo) on 2014-04-17
Changed in app-install-data-ubuntu (Ubuntu):
status: Triaged → In Progress

Hello David, or anyone else affected,

Accepted app-install-data-ubuntu into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/app-install-data-ubuntu/14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Mathew Hodson (mathew-hodson) wrote :

This is fixed for me with app-install-data (14.04.1).

$ sudo apt-get install software-center
[...]
Preparing to unpack .../software-center_13.10-0ubuntu4_all.deb ...
Unpacking software-center (13.10-0ubuntu4) ...
Processing triggers for bamfdaemon (0.5.1+14.04.20140409-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for gnome-menus (3.10.1-0ubuntu2) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu1) ...
Processing triggers for mime-support (3.54ubuntu1) ...
Processing triggers for man-db (2.6.7.1-1) ...
Processing triggers for hicolor-icon-theme (0.13-1) ...
Setting up software-center (13.10-0ubuntu4) ...
Updating software catalog...this may take a moment.
INFO:softwarecenter.db.pkginfo_impl.aptcache:aptcache.open()
Software catalog update was successful.

tags: added: verification-done
removed: verification-needed
Mathew Hodson (mathew-hodson) wrote :

The fix is in trusty-proposed.

Changed in app-install-data-ubuntu (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package app-install-data-ubuntu - 14.04.1

---------------
app-install-data-ubuntu (14.04.1) trusty-proposed; urgency=low

  * cherry pick sonic-visualiser fix for LP: #1161283
 -- Michael Vogt <email address hidden> Thu, 17 Apr 2014 08:34:51 +0200

Changed in app-install-data-ubuntu (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for app-install-data-ubuntu has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Changed in app-install-data-ubuntu (Ubuntu):
milestone: trusty-updates → none
To post a comment you must log in.